% ISCIE 2012N6
% uUԐv
% Tvln̈萫yPz̃f

%% 
clear
format compact

s = tf('s');

%% Ώ
a = 8.5879;
b = 36.081;
G = b/(s*(s+a));
[A,B,C,D]=ssdata(G);

%% I-PD , Ky(s)Kr(s)
wn = 30;
a1 = 3;
a2 = 3;
ki = wn^3/b;
kp = a1*wn^2/b;
kd = (a2*wn-a)/b;
Ky = (kp + ki/s + kd*s);
Kr = ki/s;

%% I-PD ̗Uioꎟϊj
h = 0.02; % TvO
Kdr = c2d(Kr,h,'tustin');
Kdy = c2d(Ky,h,'tustin');

[Akdr,Bkdr,Ckdr,Dkdr]=ssdata(Kdr);
[Akdy,Bkdy,Ckdy,Dkdy]=ssdata(Kdy);

%% V~[V
sim iscie_sim_stability; % Simulink V~[V

%% ԉ̃vbg
plot(yout.time, yout.signals.values, 'r--');
hold on
plot(yout_c.time, yout_c.signals.values, 'b');
plot(ref.time,ref.signals.values, 'k-.');
legend('Control by bilinear transform', 'Continuous-time control', 'Reference');
xlabel('Time t [s]');
ylabel('y(t)');
grid on;